Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 234418 - If the first line in Activation Keys -> Packages is blank an exception occurs
Summary: If the first line in Activation Keys -> Packages is blank an exception occurs
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Server
Version: 420
Hardware: i386
OS: Linux
medium
low
Target Milestone: ---
Assignee: Jesus M. Rodriguez
QA Contact: wes hayutin
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-29 00:58 UTC by Colin Coe
Modified: 2008-04-02 21:09 UTC (History)
0 users

Fixed In Version: sat510
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-04-02 21:09:01 UTC


Attachments (Terms of Use)

Description Colin Coe 2007-03-29 00:58:48 UTC
Description of problem:
Having a blank line as the first line in Systems -> Activation Keys -> Packages
results in an exception

Version-Release number of selected component (if applicable):
RHN Satellite Server 4.2

How reproducible:


Steps to Reproduce:
1. Login to Sat server
2. Click Systems -> Activation Keys -> Packages
3. Make the first line blank
4. Click update key
  
Actual results:
[Thu Mar 29 09:37:29 2007] [error] Execution of
/var/www/html/network/account/activation_keys/packages.pxt failed at Thu Mar 29
09:37:29 2007: RHN::Excepti
on: DBD::Oracle::st execute failed: ORA-01400: cannot insert NULL into
("RHNSAT"."RHNPACKAGENAME"."NAME")!ORA-06512: at "RHNSAT.LOOKUP_PACKAGE_NAME", line
19!ORA-01403: no data found!ORA-06512: at line 2 (DBD ERROR: OCIStmtExecute)
[for Statement "BEGIN!  :ret := lookup_package_name(:p1);!END;" with ParamValu
es: :ret=undef, :p1='']!  RHN::DB /usr/lib/perl5/site_perl/5.8.5/RHN/DB.pm 222
RHN::Exception::DB::throw!  RHN::DB::db /usr/lib/perl5/site_perl/5.8.5/RHN/D
B.pm 484 RHN::DB::handle_error!  RHN::DB::Package
/usr/lib/perl5/site_perl/5.8.5/RHN/DB/Package.pm 1460
RHN::DB::db::call_function!  Sniglets::ActivationKe
ys /usr/lib/perl5/site_perl/5.8.5/Sniglets/ActivationKeys.pm 511
RHN::DB::Package::lookup_package_name_id!  PXT::ApacheHandler
/usr/lib/perl5/site_perl/5.8
.5/PXT/ApacheHandler.pm 633 Sniglets::ActivationKeys::edit_token_packages_cb! 
PXT::Request /usr/lib/perl5/site_perl/5.8.5/PXT/Request.pm 734 PXT::ApacheHa
ndler::pxt_parse_data!  PXT::Handlers
/usr/lib/perl5/site_perl/5.8.5/PXT/Handlers.pm 101 PXT::Request::include! 
PXT::Parser /usr/lib/perl5/site_perl/5.8.5
/PXT/Parser.pm 141 PXT::Handlers::pxt_include_handler!  PXT::Parser
/usr/lib/perl5/site_perl/5.8.5/PXT/Parser.pm 72 PXT::Parser::expand_tag! 
PXT::ApacheHa
ndler /usr/lib/perl5/site_perl/5.8.5/PXT/ApacheHandler.pm 529
PXT::Parser::expand_tags!  PXT::ApacheHandler
/usr/lib/perl5/site_perl/5.8.5/PXT/ApacheHandle
r.pm 110 PXT::ApacheHandler::pxt_parse_data!  PXT::ApacheHandler
/usr/lib/perl5/site_perl/5.8.5/PXT/ApacheHandler.pm 110 (eval)!  main /dev/null
0 PXT::Apa
cheHandler::handler!  main /dev/null 0 (eval)!!Offending Query: BEGIN!  :ret :=
lookup_package_name(:p1);!END;
[Thu Mar 29 09:37:29 2007] [error] Traceback sent to wopdcc@woodside.com.au at
/usr/lib/perl5/site_perl/5.8.5/PXT/ApacheHandler.pm line 743.

Expected results:
Should strip blank line and continue on its merry way.

Additional info:

Comment 2 wes hayutin 2007-10-26 13:55:25 UTC
verified build 20

Comment 4 Brandon Perkins 2008-04-02 21:09:01 UTC
UI Enhancements for 5.1 Sat GA so Closed for Current Release.


Note You need to log in before you can comment on or make changes to this bug.